<?php
  include_once(dirname(__FILE__) ."/config.php");
  include_once(dirname(__FILE__) ."/include/definitions.php");
  include_once(dirname(__FILE__) ."/include/db_scripts.php");

  // create new session
  session_start();

  $errors = array();
  
  // load strings
  Session::SetLanguageStrings(Helper::GetLanguageStrings());

  // check php version  
  if(version_compare(phpversion(), "5.0.0") < 0) $errors[] = sprintf(__("TOO_OLD_PHP_VERSION"), phpversion()); 

  if(count($errors) == 0)
  {
    if(Helper::DatabaseTablesCreated()) $errors[] = __("SITE_ALREADY_CREATED");
    
    if(count($errors) == 0)
    {
      // create database
      $result = executeDatabaseScripts();
      $errors = $result["errors"];
      
      @mkdir(Helper::GetRootUrl(false) . MAP_IMAGE_PATH);

      Helper::LogUsage("createSite", "version=". DOMA_VERSION);
      
      Helper::LoginAdmin(ADMIN_USERNAME, ADMIN_PASSWORD);
    }
  }
  
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title><?=_SITE_TITLE?></title>
<link rel="icon" type="image/png" href="gfx/favicon.png" />
</head>

<body id="createBody">
<div id="wrapper">
<div id="content">
<form method="post" action="<?=$PHP_SELF?>">

<? if(count($errors) == 0) { ?>
<h1><?=__("SITE_SUCCESSFULLY_CREATED_TITLE")?></h1>
<p><?=__("SITE_SUCCESSFULLY_CREATED_MESSAGE")?></p>
<p><a href="users.php"><?=__("GOTO_START_PAGE")?></a></p>

<? } else { ?>
<h1><?=__("ERRORS_WHEN_CREATING_SITE_TITLE")?></h1>
<p><?=__("ERRORS_WHEN_CREATING_SITE_MESSAGE")?></p>

<ul class="error">
<?
  foreach($errors as $e)
  {
    print "<li>$e</li>";
  }
?>
</ul>

<p><a href="create.php"><?=__("ERRORS_TRY_AGAIN")?></a></p>
<? } ?>

</form>
</div>
</div>
</body>

</html>